Templates
Reusable post content with media and network options.
List templates
/templatesTry it with MCPAsk your agent to call list-templates (toolset templates)Set up MCP
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringcreated_atnameupdated_at
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
searchstring≤ 200 characters
tagstringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 11 item attributes
objectstringtemplate
idstringnamestringaliasstring | nullcontentstringmediaarray of objectShow 5 item attributes
media_idstringtypestringurlstring | nullthumbnail_urlstring | nullpositionintegerplatform_optionsobjectfirst_commentstring | nulltagsarray of stringcreated_atstring (date-time) | nullupdated_atstring (date-time) | nullpageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "template",
"id": "string",
"name": "string",
"alias": "string",
"content": "string",
"media": [
{
"media_id": "string",
"type": "string",
"url": "https://example.com",
"thumbnail_url": "https://example.com",
"position": 1
}
],
"platform_options": {},
"first_comment": "string",
"tags": [
"string"
],
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}Create a template
/templatesTry it with MCPAsk your agent to call create-template (toolset templates)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
namestringrequired1–200 characters
aliasstring | null≤ 100 characters
contentstringrequired≤ 63206 characters
media_idsarray of string≤ 35 items
platform_optionsobjectfirst_commentstring | null≤ 10000 characters
tagsarray of string≤ 50 items
Returns object
objectstringtemplate
idstringnamestringaliasstring | nullcontentstringmediaarray of objectShow 5 item attributes
media_idstringtypestringurlstring | nullthumbnail_urlstring | nullpositionintegerplatform_optionsobjectfirst_commentstring | nulltagsarray of stringcreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "template",
"id": "string",
"name": "string",
"alias": "string",
"content": "string",
"media": [
{
"media_id": "string",
"type": "string",
"url": "https://example.com",
"thumbnail_url": "https://example.com",
"position": 1
}
],
"platform_options": {},
"first_comment": "string",
"tags": [
"string"
],
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Get a template
/templates/{id}Try it with MCPAsk your agent to call get-template (toolset templates)Set up MCP
Path parameters
idstringrequiredtemplate id (tem_…)
1–80 characters
Returns object
objectstringtemplate
idstringnamestringaliasstring | nullcontentstringmediaarray of objectShow 5 item attributes
media_idstringtypestringurlstring | nullthumbnail_urlstring | nullpositionintegerplatform_optionsobjectfirst_commentstring | nulltagsarray of stringcreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "template",
"id": "string",
"name": "string",
"alias": "string",
"content": "string",
"media": [
{
"media_id": "string",
"type": "string",
"url": "https://example.com",
"thumbnail_url": "https://example.com",
"position": 1
}
],
"platform_options": {},
"first_comment": "string",
"tags": [
"string"
],
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Update a template
/templates/{id}Try it with MCPAsk your agent to call update-template (toolset templates)Set up MCP
Path parameters
idstringrequiredtemplate id (tem_…)
1–80 characters
Body object
namestring1–200 characters
aliasstring | null≤ 100 characters
contentstring≤ 63206 characters
media_idsarray of string≤ 35 items
platform_optionsobjectfirst_commentstring | null≤ 10000 characters
tagsarray of string≤ 50 items
Returns object
objectstringtemplate
idstringnamestringaliasstring | nullcontentstringmediaarray of objectShow 5 item attributes
media_idstringtypestringurlstring | nullthumbnail_urlstring | nullpositionintegerplatform_optionsobjectfirst_commentstring | nulltagsarray of stringcreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "template",
"id": "string",
"name": "string",
"alias": "string",
"content": "string",
"media": [
{
"media_id": "string",
"type": "string",
"url": "https://example.com",
"thumbnail_url": "https://example.com",
"position": 1
}
],
"platform_options": {},
"first_comment": "string",
"tags": [
"string"
],
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Delete a template
/templates/{id}Try it with MCPAsk your agent to call delete-template (toolset templates)Set up MCP
Path parameters
idstringrequiredtemplate id (tem_…)
1–80 characters
Returns object
objectstringrequiredtemplate
idstringrequireddeletedbooleanrequiredResponses
{
"object": "template",
"id": "string",
"deleted": true
}